/*
 * Copyright (c) 2016 Scott Wells, All rights reserved
 */

// Stub interfaces for the JavaScript Salesforce1 API taken from:
// https://developer.salesforce.com/docs/atlas.en-us.salesforce1.meta/salesforce1/salesforce1_dev_jsapi_sforce_one.htm
// TODO: What else?

// sforce namespace
sforce = function() {};
sforce.prototype = {
    // Properties
    one: null
}

// sforce.one namespace
sforce = function() {};
sforce.one = function() {};
sforce.one.prototype = {
    // Methods
    back: function(refresh) {},
    navigateToSObject: function(recordId, view) {},
    navigateToURL: function(url, isRedirect) {},
    navigateToFeed: function(subjectId, type) {},
    navigateToFeedItemDetail: function(feedItemId) {},
    navigateToRelatedList: function(relatedListId, parentRecordId) {},
    navigateToList: function(listViewId, listViewName, scope) {},
    createRecord: function(entityName, recordTypeId) {},
    editRecord: function(recordId) {}
};
