/*
 * Copyright (c) 2016 Scott Wells, All rights reserved
 */

// Stub interfaces for the JavaScript Visualforce API taken from:
// https://developer.salesforce.com/docs/atlas.en-us.pages.meta/apexcode/pages_js_remoting_summary.htm
// TODO: https://developer.salesforce.com/docs/atlas.en-us.pages.meta/apexcode/pages_remote_objects.htm

// Visualforce namespace
Visualforce = function() {};
Visualforce.prototype = {
    // Properties
    remoting: null
}

// Visualforce.remoting namespace
Visualforce.remoting = function() {};
Visualforce.remoting.prototype = {
    // Properties
    buffer: false,
    escape: false,
    timeout: 0,

    Manager: null
};

// Visualforce.remoting.Manager object
Visualforce.remoting.Manager = function() {};
Visualforce.remoting.Manager.prototype = {
    // Methods
    invokeAction: function(method, parameters, callback, configuration) {}
};

Visualforce.remoting.Event = function() {};
Visualforce.remoting.Event.prototype = {
    // Properties
    status: null,
    type: null,
    message: null,
    where: null
};